Setup Bluetooth Headphones on Arch
Status: Closed Start date: 10/19/2015
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Workstation Estimated time: 0.50 hour
Target version: Arch Linux Spent time: 1.00 hour
Description

This is a guide on how | got a pair of bluetooth stereo headphones on Arch Linux.

Prepeare the Environment

o Make sure the system is up to date:
pacman —-Syu
e |nstall a few dependencies:

pacman —-S pulseaudio-alsa pulseaudio-bluetooth bluez bluez-1libs bluez-utils bluez-firmware blu
ez-hid2hci pavucontrol

e Start the bluetooth service:
systemctl start bluetooth

e Put the bluetooth headphones into pairing mode.

e Use the bluetoothctl command line utility to pair and connect:

bluetoothctl

o Turn on the bluetooth adapter on the Arch computer, and enable scanning:
power on
agent on
default-agent
sCcCan on
o Pair with a device:
pair 1B:05:12:11:24:B4

trust 1B:05:12:11:24:B4
connect 1B:05:12:11:24:B4

NOTE: | had problems with the audio sink automatically being set as the default device. So | just use pavucontrol to set where the
audio output goes.

Resources
e https://wiki.archlinux.org/index.php/Bluetooth

History

#1 - 10/21/2015 06:54 PM - Daniel Curtis
- Category set to Workstation
- Assignee set to Daniel Curtis

- Target version set to Arch Linux

#2 - 11/24/2015 03:04 PM - Daniel Curtis
- Description updated

- Status changed from New to Resolved

- % Done changed from 0 to 100

- Estimated time set to 0.50 h

#3 - 11/27/2015 03:49 PM - Daniel Curtis

- Status changed from Resolved to Closed

#4 - 05/13/2016 05:50 PM - Daniel Curtis

- Subject changed from Adding Bluetooth Headphones on Arch to Setup Bluetooth Headphones on Arch
